package es.masterupv.android.worldcurrconvert;

import android.app.Activity;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.BaseAdapter;
import android.widget.TextView;

import java.util.Vector;

/**
 * Created by Carlos on 15/11/2015.
 */
public class HistorialAdaptador  extends BaseAdapter {
    private final Activity actividad;
    private final Vector<String> lista;

    public HistorialAdaptador(Activity actividad,Vector<String> lista) {
        super();
        this.actividad=actividad;
        this.lista = lista;
    }

    @Override
    public View getView(int position, View convertView, ViewGroup parent) {
        LayoutInflater inflater = actividad.getLayoutInflater();
        View view = inflater.inflate(R.layout.historial_elemento_lista, null, false);

        TextView twFecha = (TextView) view.findViewById(R.id.fecha);
        TextView twConversion = (TextView) view.findViewById(R.id.conversion);

        String elemento = lista.elementAt(position);

        String[] componentes = elemento.split(",");
        twFecha.setText(twFecha.getText() + componentes[0]);
        twConversion.setText(componentes[2] + " " + componentes[1].substring(0,3) + " <=> " + componentes[4] + " " + componentes[3].substring(0,3) + " ("+ componentes[5] +")");

        return view;
    }
    @Override
    public int getCount() {
        return lista.size();
    }
    @Override
    public Object getItem(int arg0) {
        return lista.elementAt(arg0);
    }
    @Override
    public long getItemId(int position) {
        return position;
    }
}
