package es.masterupv.android.worldcurrconvert;

import android.app.Activity;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.BaseAdapter;
import android.widget.TextView;

import java.util.Vector;

/**
 * Created by Carlos on 15/11/2015.
 */
public class IndicesAdaptador  extends BaseAdapter {
    private final Activity actividad;
    private final Vector<String> lista;

    public IndicesAdaptador(Activity actividad,Vector<String> lista) {
        super();
        this.actividad=actividad;
        this.lista = lista;
    }

    @Override
    public View getView(int position, View convertView, ViewGroup parent) {
        LayoutInflater inflater = actividad.getLayoutInflater();
        View view = inflater.inflate(R.layout.indices_elemento_lista, null, false);

        TextView twInformacion = (TextView) view.findViewById(R.id.informacion);

        twInformacion.setText(lista.elementAt(position));

        return view;
    }
    @Override
    public int getCount() {
        return lista.size();
    }
    @Override
    public Object getItem(int arg0) {
        return lista.elementAt(arg0);
    }
    @Override
    public long getItemId(int position) {
        return position;
    }
}