package es.masterupv.android.worldcurrconvert;

import android.app.ProgressDialog;
import android.content.Context;
import android.content.DialogInterface;
import android.content.SharedPreferences;
import android.content.res.Resources;
import android.os.AsyncTask;
import android.preference.PreferenceManager;
import android.support.v7.app.AppCompatActivity;
import android.os.Bundle;
import android.view.Menu;
import android.view.MenuItem;
import android.view.View;
import android.widget.AdapterView;
import android.widget.ArrayAdapter;
import android.widget.Button;
import android.widget.Spinner;
import android.widget.TextView;
import android.widget.Toast;

import org.xml.sax.Attributes;
import org.xml.sax.InputSource;
import org.xml.sax.SAXException;
import org.xml.sax.XMLReader;
import org.xml.sax.helpers.DefaultHandler;

import java.net.URL;
import java.util.Vector;

import javax.xml.parsers.SAXParser;
import javax.xml.parsers.SAXParserFactory;

public class Conversor extends AppCompatActivity {
    private TextView textMonedaOrigen,textMonedaDestino;
    private Vector<Button> botones;
    private Double factorConversion;
    private String[] listaMonedas;
    Spinner spMonedaOrigen;
    Spinner spMonedaDestino;
    private Context contexto;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_conversor);

        contexto = this.getBaseContext();

        botones = new Vector<Button>();
        Button boton;
        textMonedaDestino = (TextView) findViewById(R.id.tDestino);
        textMonedaOrigen = (TextView) findViewById(R.id.tOrigen);

        Resources res = this.getResources();
        listaMonedas = res.getStringArray(R.array.monedaLocal);


        SharedPreferences preferencias = PreferenceManager.getDefaultSharedPreferences(this);
        String monedaLocal;
        String monedaExtranjera;
        int moneda = Integer.parseInt(preferencias.getString("monedaLocal", "42"));
        monedaLocal = listaMonedas[moneda].substring(0, 3);
        moneda = Integer.parseInt(preferencias.getString("monedaExtranjera", "139"));
        monedaExtranjera = listaMonedas[moneda].substring(0,3);


        spMonedaOrigen = (Spinner) findViewById(R.id.moneda_origen);
        spMonedaDestino = (Spinner) findViewById(R.id.moneda_destino);
        ArrayAdapter<String> adaptadorArray = new ArrayAdapter<String>(this,android.R.layout.simple_list_item_1,listaMonedas);
        spMonedaOrigen.setAdapter(adaptadorArray);
        spMonedaDestino.setAdapter(adaptadorArray);
        spMonedaOrigen.setSelection(buscarEntrada(monedaLocal, listaMonedas));
        spMonedaDestino.setSelection(buscarEntrada(monedaExtranjera, listaMonedas));
        spMonedaOrigen.setOnItemSelectedListener(new AdapterView.OnItemSelectedListener() {
            @Override
            public void onItemSelected(AdapterView<?> parent, View view, int position, long id) {
                textMonedaOrigen.setText(" ");
                textMonedaDestino.setText(" ");
            }

            @Override
            public void onNothingSelected(AdapterView<?> parent) {

            }
        });
        spMonedaDestino.setOnItemSelectedListener(new AdapterView.OnItemSelectedListener() {
            @Override
            public void onItemSelected(AdapterView<?> parent, View view, int position, long id) {
                textMonedaOrigen.setText(" ");
                textMonedaDestino.setText(" ");
            }

            @Override
            public void onNothingSelected(AdapterView<?> parent) {

            }
        });

        boton = (Button) findViewById(R.id.bComa);
        boton.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View v) {
                sePulsaNumeroE(v);
            }
        });

        botones.add(boton);
        boton = (Button) findViewById(R.id.b0);
        boton.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View v) {
                sePulsaNumeroE(v);
            }
        });
        botones.add(boton);
        boton = (Button) findViewById(R.id.b1);
        boton.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View v) {
                sePulsaNumeroE(v);
            }
        });
        botones.add(boton);
        boton = (Button) findViewById(R.id.b2);
        boton.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View v) {
                sePulsaNumeroE(v);
            }
        });
        botones.add(boton);
        boton = (Button) findViewById(R.id.b3);
        boton.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View v) {
                sePulsaNumeroE(v);
            }
        });
        botones.add(boton);
        boton = (Button) findViewById(R.id.b4);
        boton.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View v) {
                sePulsaNumeroE(v);
            }
        });
        botones.add(boton);
        boton = (Button) findViewById(R.id.b5);
        boton.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View v) {
                sePulsaNumeroE(v);
            }
        });
        botones.add(boton);
        boton = (Button) findViewById(R.id.b6);
        boton.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View v) {
                sePulsaNumeroE(v);
            }
        });
        botones.add(boton);
        boton = (Button) findViewById(R.id.b7);
        boton.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View v) {
                sePulsaNumeroE(v);
            }
        });
        botones.add(boton);
        boton = (Button) findViewById(R.id.b8);
        boton.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View v) {
                sePulsaNumeroE(v);
            }
        });
        botones.add(boton);
        boton = (Button) findViewById(R.id.b9);
        boton.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View v) {
                sePulsaNumeroE(v);
            }
        });
        botones.add(boton);
        boton = (Button) findViewById(R.id.bIgual);
        boton.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View v) {
                sePulsaAccionE(v);
            }
        });
        botones.add(boton);
        boton = (Button) findViewById(R.id.bClear);
        boton.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View v) {
                sePulsaAccionE(v);
            }
        });
    }

    public int buscarEntrada(String moneda,String[] monedas) {
        int pos=0;
        while (pos<monedas.length && !monedas[pos].substring(0,3).equals(moneda)) pos++;
        if (pos>=monedas.length) pos=0;
        return pos;
    }

    public void sePulsaAccionE(View view) {
        Button boton = (Button) view;
        if (((String)boton.getTag()).compareTo("Borrar")==0) {
            textMonedaOrigen.setText(" ");
            textMonedaDestino.setText(" ");
        } else if (textMonedaOrigen.getText().length()>0 && !((String) textMonedaOrigen.getText()).equals(" ") && ((String)textMonedaOrigen.getText()).compareTo(".")!=0){
            CalcularConversion tarea = new CalcularConversion();
            tarea.execute(spMonedaOrigen.getSelectedItem().toString().substring(0, 3),(String) textMonedaOrigen.getText(),spMonedaDestino.getSelectedItem().toString().substring(0,3));
        }

    }
    private class CalcularConversion extends AsyncTask<String,Integer,Double>
    {
        private ProgressDialog progreso;
        private String monedaFrom;
        private Double valorFrom;
        private String monedaTo;

        @Override
        protected void onPreExecute() {
            progreso = new ProgressDialog(Conversor.this);
            progreso.setProgressStyle(ProgressDialog.STYLE_SPINNER);
            progreso.setMessage("Calculando...");
            progreso.setCancelable(true);
            progreso.setOnCancelListener(new DialogInterface.OnCancelListener() { //Añadir un escuchador de evento
                @Override
                public void onCancel(DialogInterface dialog) {
                    CalcularConversion.this.cancel(true);
                }
            });
            progreso.show();
        }

        @Override
        protected Double doInBackground(String... n) {
            monedaFrom = n[0];
            valorFrom = Double.parseDouble(n[1]);
            monedaTo = n[2];
            return obtenerFactorConversion(monedaFrom,monedaTo);
        }

        @Override
        protected void onPostExecute(Double res) {
            if (res>=0) {
                double resultado = Math.round(valorFrom * res * 100) / 100.0;
                long fecha = System.currentTimeMillis();
                textMonedaDestino.setText(String.valueOf(resultado));
                MenuPrincipal.historial.guardar(fecha,monedaFrom,valorFrom,monedaTo,resultado);
           }
            progreso.dismiss();
        }

        private double obtenerFactorConversion(String MonOrigen, String MonDestino) {
            double resultado = -1;
            try {
                URL url = new URL("http://www.webservicex.net/CurrencyConvertor.asmx/ConversionRate?FromCurrency=" + MonOrigen + "&ToCurrency=" + MonDestino);

                SAXParserFactory factoria = SAXParserFactory.newInstance();
                SAXParser analizador = factoria.newSAXParser();
                XMLReader lector = analizador.getXMLReader();

                InterpreteXML interpreteXML = new InterpreteXML();

                lector.setContentHandler(interpreteXML);

                lector.parse(new InputSource(url.openStream()));

                resultado = interpreteXML.getFactorConversion();
            } catch (Exception ex) {
                Toast.makeText(contexto,"ERROR: " + getResources().getString(R.string.error_red) ,Toast.LENGTH_LONG).show();
            }
            return resultado;
        }

        private class InterpreteXML extends DefaultHandler {
            private double factorConversion=0.0;
            private StringBuilder contenido = new StringBuilder();

            public double getFactorConversion() {
                return factorConversion;
            }

            @Override
            public void startElement(String uri, String localName, String qName, Attributes attributes) throws SAXException {
                super.startElement(uri, localName, qName, attributes);
                contenido.setLength(0);
            }

            @Override
            public void characters(char[] ch, int start, int length) throws SAXException {
                super.characters(ch, start, length);
                contenido.append(ch,start,length);
            }

            @Override
            public void endElement(String uri, String localName, String qName) throws SAXException {
                super.endElement(uri, localName, qName);
                if (localName.equals("double"))
                    factorConversion = Double.parseDouble(contenido.toString());
            }
        }

    }


    private void sePulsaNumeroE(View view) {
        Button boton = (Button) view;
        textMonedaDestino.setText("");
        if (boton.getTag()==null || ((String)textMonedaOrigen.getText()).indexOf(".")<0)
            if (((String)textMonedaOrigen.getText()).equals(" "))
                textMonedaOrigen.setText((String)boton.getText());
            else
                textMonedaOrigen.setText((String)textMonedaOrigen.getText()+(String)boton.getText());
    }

    @Override
    public boolean onCreateOptionsMenu(Menu menu) {
        getMenuInflater().inflate(R.menu.menu_conversor, menu);
        return true;
    }

    @Override
    public boolean onOptionsItemSelected(MenuItem item) {
        int id = item.getItemId();

        if (id == R.id.action_settings) {
            return true;
        }

        return super.onOptionsItemSelected(item);
    }
}
